Package javassist.bytecode

# Class BootstrapMethodsAttribute.BootstrapMethod

java.lang.Object
javassist.bytecode.BootstrapMethodsAttribute.BootstrapMethod

Enclosing class:
  `BootstrapMethodsAttribute`

public static class BootstrapMethodsAttribute.BootstrapMethod extends Object
An element of `bootstrap_methods`.

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`arguments`
`bootstrap_arguments`.
`int`
`methodRef`
`bootstrap_method_ref`.

## Constructor Summary

Constructors
Constructor
Description
`BootstrapMethod(int method, int[] args)`
Constructs an element of `bootstrap_methods`.

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### methodRef

public int methodRef
`bootstrap_method_ref`. The value at this index must be a `CONSTANT_MethodHandle_info`.

### arguments

public int[] arguments
`bootstrap_arguments`.

## Constructor Details

### BootstrapMethod

public BootstrapMethod(int method, int[] args)
Constructs an element of `bootstrap_methods`.

Parameters:
  `method` - `bootstrap_method_ref`.
  `args` - `bootstrap_arguments`.